/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.backend

import de.justjanne.libquassel.protocol.api.client.IgnoreListManagerClientApi
import de.justjanne.libquassel.protocol.variant.QVariantMap
import javax.inject.Inject

class IgnoreListManagerPersister @Inject constructor(): IgnoreListManagerClientApi {
  override fun addIgnoreListItem(type: Int, ignoreRule: String?, isRegEx: Boolean, strictness: Int, scope: Int, scopeRule: String?, isActive: Boolean)  = Unit
  override fun removeIgnoreListItem(ignoreRule: String?)  = Unit 
  override fun toggleIgnoreRule(ignoreRule: String?)  = Unit 
  override fun update(properties: QVariantMap)  = Unit
}
