/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.backend

import de.justjanne.libquassel.protocol.api.client.NetworkConfigClientApi
import de.justjanne.libquassel.protocol.variant.QVariantMap
import javax.inject.Inject

class NetworkConfigPersister @Inject constructor(): NetworkConfigClientApi {
  override fun setAutoWhoDelay(delay: Int)  = Unit 
  override fun setAutoWhoEnabled(enabled: Boolean)  = Unit 
  override fun setAutoWhoInterval(interval: Int)  = Unit 
  override fun setAutoWhoNickLimit(limit: Int)  = Unit 
  override fun setMaxPingCount(count: Int)  = Unit 
  override fun setPingInterval(interval: Int)  = Unit 
  override fun setPingTimeoutEnabled(enabled: Boolean)  = Unit 
  override fun setStandardCtcp(enabled: Boolean)  = Unit 
  override fun update(properties: QVariantMap)  = Unit
}
