/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.backend

import de.justjanne.libquassel.protocol.api.ObjectName
import de.justjanne.libquassel.protocol.api.client.CertManagerClientApi
import de.justjanne.libquassel.protocol.variant.QVariantMap
import java.nio.ByteBuffer
import javax.inject.Inject

class CertManagerPersister @Inject constructor(): CertManagerClientApi {
  override fun setSslCert(objectName: ObjectName, encoded: ByteBuffer)  = Unit 
  override fun setSslKey(objectName: ObjectName, encoded: ByteBuffer)  = Unit 
  override fun update(objectName: ObjectName, properties: QVariantMap)  = Unit
}
