/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

package de.justjanne.libquassel.backend

import de.justjanne.libquassel.protocol.api.client.HighlightRuleManagerClientApi
import de.justjanne.libquassel.protocol.variant.QVariantMap
import javax.inject.Inject

class HighlightRuleManagerPersister @Inject constructor(): HighlightRuleManagerClientApi {
  override fun removeHighlightRule(highlightRule: Int)  = Unit 
  override fun toggleHighlightRule(highlightRule: Int)  = Unit 
  override fun addHighlightRule(id: Int, content: String?, isRegEx: Boolean, isCaseSensitive: Boolean, isEnabled: Boolean, isInverse: Boolean, sender: String?, channel: String?)  = Unit
  override fun setHighlightNick(highlightNick: Int)  = Unit 
  override fun setNicksCaseSensitive(nicksCaseSensitive: Boolean)  = Unit 
  override fun update(properties: QVariantMap)  = Unit
}
