/*
 * libquassel
 * Copyright (c) 2024 Janne Mareike Koschinski
 *
 * This Source Code Form is subject to the terms of the Mozilla Public License,
 * v. 2.0. If a copy of the MPL was not distributed with this file, You can
 * obtain one at https://mozilla.org/MPL/2.0/.
 */

plugins {
  id("justjanne.kotlin")
  id("justjanne.publication")
}

repositories {
  google()
  mavenCentral()
}

dependencies {
  api(project(":libquassel-protocol"))
  api(project(":libquassel-api"))

  implementation(libs.dagger.core)
  ksp(libs.dagger.compiler)

  implementation(libs.room.runtime)
  ksp(libs.room.compiler)

  implementation(libs.slf4j)
}
